from pydantic import BaseModel


class ComandaRequest(BaseModel):
    tip_id: int
    id_masiniclient: int
    solicitari: str
    id_firma: int


class ComandaResponse(BaseModel):
    id_ordl: int
    nrord: str
    mesaj: str


class FirmaItem(BaseModel):
    id_firma: int
    firma: str
    schema_name: str


class TipDevizItem(BaseModel):
    id_tip: int
    denumire: str
    inch_validare: int


class MasinaClientItem(BaseModel):
    id_masiniclient: int
    label: str  # "PARTENER — MARCA MASINA, NRINMAT (ANFABRICATIE)"
